#include <iostream>
typedef struct {
int mini;
int maxi;
}Vaga;
typedef struct {
int prvi;
int drugi;
int kilaza;
}Pitanja;
using namespace std;

int main()
{
    int brVaga,brPitanja,odgovori[10000],brr = 0;
    Vaga v[100005];
    Pitanja p[100005];
    cin >> brVaga >> brPitanja;
    for(int i = 1; i <= brVaga; i++){
    cin >> v[i].mini >> v[i].maxi;
    }
    for(int i = 1; i <= brPitanja; i++){
    cin >> p[i].prvi >> p[i].drugi>>p[i].kilaza;
    }
    for(int i = 1; i <= brPitanja; i++){
    int brr2 = p[i].prvi;
    while(brr2 <= p[i].drugi){
    if(v[brr2].mini <= p[i].kilaza){
        if(v[brr2].maxi >= p[i].kilaza){
           brr++;
        }
    }
    brr2++;
    }
    odgovori[i] = brr;
    brr = 0;
    }
    for(int i = 1; i <= brPitanja; i++){
    cout << odgovori[i] << endl;
    }
    return 0;
}